List deployment history
curl --request GET \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/deployment/history \
--header 'x-api-key: <api-key>'{
"success": true,
"deployments": [
{
"created": "2023-11-07T05:31:56Z",
"deploymentVersion": 123,
"deploymentFormat": "<string>",
"impulseId": 123,
"impulseName": "<string>",
"impulseIsDeleted": true,
"impulseHasChangedSinceDeployment": true,
"downloadUrl": "<string>",
"deploymentTarget": {
"name": "<string>",
"description": "<string>",
"image": "<string>",
"imageClasses": "<string>",
"format": "<string>",
"hasEonCompiler": true,
"hasTensorRT": true,
"hasTensaiFlow": true,
"hasDRPAI": true,
"hasTIDL": true,
"hasAkida": true,
"hasMemryx": true,
"hasStAton": true,
"hasCevaNpn": true,
"hasNordicAxon": true,
"hideOptimizations": true,
"supportedEngines": [],
"docsUrl": "<string>",
"modelVariants": [
{
"supported": true,
"hint": "<string>"
}
],
"parameters": [
{
"name": "Scale axes",
"defaultValue": "<string>",
"type": "text",
"param": "scale-axes",
"readonly": true,
"shouldShow": true,
"required": true,
"showClickToSet": true,
"value": "<string>",
"help": "Divide axes by this number",
"selectOptions": [
{
"value": "<string>",
"selected": true,
"optionLabel": "<string>",
"priority": 123,
"romEstimate": 123,
"needsOps": [
"<string>"
],
"needsFeatures": [
"<string>"
]
}
],
"showIf": {
"parameter": "<string>",
"value": "<string>"
},
"invalidText": "<string>",
"multiline": true,
"hint": "<string>",
"placeholder": "<string>",
"valid": [
{}
],
"items": {},
"properties": {},
"minVal": 123,
"maxVal": 123
}
],
"recommendedForProject": true,
"disabledForProject": true,
"latencyDevice": "<string>",
"badge": {
"name": "<string>",
"description": "<string>"
},
"customDeployId": 123,
"customDeployOrganizationId": 123,
"integrateUrl": "<string>",
"ownerOrganizationName": "<string>",
"url": "<string>",
"firmwareRepoUrl": "<string>",
"redirect": {
"url": "<string>",
"text": "<string>"
},
"reasonTargetDisabled": "<string>"
},
"createdByUser": {
"id": 123,
"name": "<string>",
"username": "<string>",
"photo": "<string>"
}
}
],
"totalDeploymentCount": 123,
"error": "<string>"
}List deployment history
Lists all successfully built deployments.
GET
/
api
/
{projectId}
/
deployment
/
history
List deployment history
curl --request GET \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/deployment/history \
--header 'x-api-key: <api-key>'{
"success": true,
"deployments": [
{
"created": "2023-11-07T05:31:56Z",
"deploymentVersion": 123,
"deploymentFormat": "<string>",
"impulseId": 123,
"impulseName": "<string>",
"impulseIsDeleted": true,
"impulseHasChangedSinceDeployment": true,
"downloadUrl": "<string>",
"deploymentTarget": {
"name": "<string>",
"description": "<string>",
"image": "<string>",
"imageClasses": "<string>",
"format": "<string>",
"hasEonCompiler": true,
"hasTensorRT": true,
"hasTensaiFlow": true,
"hasDRPAI": true,
"hasTIDL": true,
"hasAkida": true,
"hasMemryx": true,
"hasStAton": true,
"hasCevaNpn": true,
"hasNordicAxon": true,
"hideOptimizations": true,
"supportedEngines": [],
"docsUrl": "<string>",
"modelVariants": [
{
"supported": true,
"hint": "<string>"
}
],
"parameters": [
{
"name": "Scale axes",
"defaultValue": "<string>",
"type": "text",
"param": "scale-axes",
"readonly": true,
"shouldShow": true,
"required": true,
"showClickToSet": true,
"value": "<string>",
"help": "Divide axes by this number",
"selectOptions": [
{
"value": "<string>",
"selected": true,
"optionLabel": "<string>",
"priority": 123,
"romEstimate": 123,
"needsOps": [
"<string>"
],
"needsFeatures": [
"<string>"
]
}
],
"showIf": {
"parameter": "<string>",
"value": "<string>"
},
"invalidText": "<string>",
"multiline": true,
"hint": "<string>",
"placeholder": "<string>",
"valid": [
{}
],
"items": {},
"properties": {},
"minVal": 123,
"maxVal": 123
}
],
"recommendedForProject": true,
"disabledForProject": true,
"latencyDevice": "<string>",
"badge": {
"name": "<string>",
"description": "<string>"
},
"customDeployId": 123,
"customDeployOrganizationId": 123,
"integrateUrl": "<string>",
"ownerOrganizationName": "<string>",
"url": "<string>",
"firmwareRepoUrl": "<string>",
"redirect": {
"url": "<string>",
"text": "<string>"
},
"reasonTargetDisabled": "<string>"
},
"createdByUser": {
"id": 123,
"name": "<string>",
"username": "<string>",
"photo": "<string>"
}
}
],
"totalDeploymentCount": 123,
"error": "<string>"
}Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Project ID
Query Parameters
Impulse ID. If this is unset, data for all impulses is returned.
Maximum number of results
Offset in results, can be used in conjunction with LimitResultsParameter to implement paging.
Was this page helpful?
⌘I